%global namedreltag -alpha-2
%global namedversion %{version}%{?namedreltag}


Name:          shrinkwrap-descriptors
Version:       2.0.0
Release:       0.11.alpha2%{?dist}
Summary:       ShrinkWrap subproject for creating Archive Descriptors
License:       ASL 2.0
Url:           http://www.jboss.org/shrinkwrap/

# git clone https://github.com/shrinkwrap/descriptors.git shrinkwrap-descriptors-2.0.0-alpha-2
# cd shrinkwrap-descriptors-2.0.0-alpha-2 && git archive --format=tar --prefix=shrinkwrap-descriptors-2.0.0-alpha-2/ 2.0.0-alpha-2 | xz > ../shrinkwrap-descriptors-2.0.0-alpha-2.tar.xz
Source0:       %{name}-%{namedversion}.tar.xz

# saxon-dom is built in saxon in Fedora
Patch0:        %{name}-saxon-dom.patch

BuildArch:     noarch

BuildRequires: jboss-parent
BuildRequires: apiviz
BuildRequires: junit
BuildRequires: maven-local
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-plugin-build-helper

BuildRequires: apache-commons-lang3
BuildRequires: saxon
BuildRequires: codemodel
BuildRequires: glassfish-dtd-parser
BuildRequires: xmlunit

%description
ShrinkWrap subproject for creating Archive Descriptors

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

# Do not build test module, which is only for tests
sed -i "s|<module>test</module>|<!--module>test</module-->|" pom.xml

%build

export JAVA5_HOME=%{_jvmdir}/java
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.11.alpha2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 24 2014 Lin Gao <lgao@redhat.com> - 2.0.0-0.10.alpha2
- Use BuildRequires: junit and BuildRequires: maven-surefire-provider-junit for f21 target(#1107301)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.9.alpha2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.0.0-0.8.alpha2
- Use Requires: java-headless rebuild (#1067528)

* Mon Aug 12 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0.0-0.7.alpha2
- Fixed missing BuildArch

* Tue Aug 06 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0.0-0.6.alpha2
- New guidelines

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.5.alpha2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.4.alpha2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.0.0-0.3.alpha2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.2.alpha2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 23 2012 Lin Gao <lgao@redhat.com> 2.0.0-0.1.alpha2
- initial rpm

